/*++ netxvars.h - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *
 *	NQS network daemon global external variable definitions file.
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	December 23, 1985.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#include "nqsxdirs.h"			/* NQS global directory defintions */

extern char *Argv0;			/* Pointer to argv[0] string for */
					/* the NQS daemon */
extern int Argv0size;			/* Size of the argv[0] space for */
					/* the NQS daemon */
extern int Debug;			/* NQS debug level */
extern mid_t Locmid;			/* Machine-id of local host */
extern FILE *Logfile;			/* Log process stream */
extern struct confd *Devicefile;	/* Device descriptor file */
extern struct confd *Netqueuefile;	/* Network queue descriptor file */
extern struct confd *Qcomplexfile;	/* Queue complex descriptor file */
extern struct confd *Queuefile;		/* Non-network queue descriptor file */
extern struct confd *Qmapfile;		/* Queue-device mapping file */
extern struct confd *Pipeqfile;		/* Pipe queue destination file */
extern struct confd *Paramfile;		/* General parameters file */
extern struct confd *Mgrfile;		/* NQS manager access list file */
extern struct confd *Formsfile;		/* NQS forms list file */
