/*++ asciierrno.c - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *
 *	Format present errno value in ASCII diagnostic string.
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	April 27, 1986.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#include <stdio.h>

extern int errno;			/* System call error# */


/*** asciierrno
 *
 *
 *	char *asciierrno():
 *	Return formatted ASCII value of present errno.
 */
char *asciierrno()
{
	static char formatbuffer [20];

	sprintf (formatbuffer, "Errno value: %1d", errno);
	return (formatbuffer);
}
