/*++ setpeertcm.c - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *
 *	Return TCMx_ code with peer origin bit set.
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	May 21, 1986.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#include "informcc.h"		/* NQS information completion codes */

/*** setpeertcm
 *
 *
 *	long setpeertcm():
 *	Return TCMx_ code with peer origin bit set.
 */
long setpeertcm (code)
register long code;			/* Completion code */
{
	return (code | XCI_PEER_MASK);	/* Return TCMx_ code with peer bit */
}
