/*++ telldb.c - Network Queueing System
 *
 * $Source$
 *
 * DESCRIPTION:
 *
 *
 *
 *	Author:
 *	-------
 *	Brent A. Kingsbury, Sterling Software Incorporated.
 *	August 12, 1985.
 *
 *
 * STANDARDS VIOLATIONS:
 *   None.
 *
 * REVISION HISTORY: ($Revision$ $Date$ $State$)
 * $Log$
 *
 */

#include "nqs.h"

/*** telldb
 *
 *
 *	long telldb():
 *
 *	Returns:
 *		The file offset position of the last descriptor
 *		read from the specified NQS database/configuration
 *		file.  A value of -1 indicates that no readdb()
 *		call has ever been performed on the specified file.
 */
long telldb (file)
register struct confd *file;
{
	return (file->lastread);
}
